set format xy "$%g$"
set boxwidth 0.3 absolute
set style fill  solid 1.00 border -1

set terminal epslatex color

set title 'Crescita dello spam via e-mail'
set xlabel "Anno" offset 0
set ylabel "Messaggi di spam al giorno (miliardi)"
set autoscale
set yrange[0:120]
#set xrange[2001.5:2007.5]
set output "charts/spam_growth.tex"
plot "charts/spam_growth.dat" notitle with boxes

set title 'Punteggio assegnato dal modulo WoT'
set xlabel "Lunghezza del Trust Path"
set ylabel "Punteggio assegnato"
set size 1,0.7
set zeroaxis
set output "charts/wot_score.tex"
plot [0:8][-1.5:1.5]  x>1 ? (x<=6?(x-1)/(6-1)-1:0) : -1 notitle

set size 1,1
set title "Lunghezza dei Trust Path"
set ylabel "Numero di TP (milioni)"
set xlabel "Lunghezza $l$ del TP"
set autoscale
set xrange [0:24]
set output "charts/path_lenghts.tex"
plot "charts/path_lenghts.dat" notitle with boxes

set pointsize 2
set title "Media per il Path Finding (stddev)"
set ylabel "Media $t_{pf}$ ($\\mu$sec)"
set xlabel "Lunghezza $l$ TP"
set autoscale
set output "charts/path_finding_time.tex"
plot "charts/path_finding_time.dat" notitle with yerror

