set format xy "$%g$"
set boxwidth 0.3 absolute
set style fill  solid 1.00 border -1

set terminal epslatex color

set title 'Tempi di esecuzione per gli scenari'
set ylabel "Tempo di esecuzione ($\\mu$sec)"
set size 1,1
set yrange[0:150000]
set xtics nomirror rotate by -45
set style data histogram
set style histogram rowstacked
set style fill solid border -1
set boxwidth 0.5
set output "charts/scenarios_timing.tex"
plot 'charts/scenarios_timing.dat' using 2:xtic(1) t 2, '' u 3 t 3, '' u 4 t 4, '' u 5 t 5

set title 'Tempi di esecuzione per gli scenari - Scala logaritmica'
set ylabel "Tempo di esecuzione ($\\mu$sec)"
set size 1,1
set autoscale
set logscale y
set xtics nomirror rotate by -45
set style data histogram
set style histogram clustered gap 2
set style fill solid border -1
set boxwidth 0.5
set output "charts/scenarios_timing_tot.tex"
plot 'charts/scenarios_timing_tot.dat' using 2:xtic(1) t 2
