set format xy "$%g$"
set terminal epslatex color

set ticslevel 0
set pm3d map
set palette defined (0 "white", 1 "blue")

set size 1, 1
set autoscale
set title "Distribuzione dei tempi $t_{pf}$"
set xlabel "Lunghezza $l$ del Trust Path"
set ylabel "Valore frequenze (msec)"
set xrange [0.5:6.5]
set yrange [0:6]
set output "charts/time_distribution_scope.tex"
splot "charts/time_distribution_scope.dat" using 1:2:3 t "" with image

set autoscale
set xrange [-0.5:23.5]
set yrange [-10:550]
set output "charts/time_distribution.tex"
splot "charts/time_distribution.dat" using 1:2:3 t "" with image

unset pm3d
set ylabel "Media $t_{pf}$ (msec)"
set xlabel "Lunghezza $l$ del TP"
set autoscale
set xrange [0.5:23.5]
set yrange [0:300]
set title "Confronto di $t_{pf}$ tra diverse WoT"
set output "charts/mean_t_compare.tex"
plot "charts/mean_t_compare_40480.dat" using 2 t "\\emph{\$\\text{WoT}_3\$}", "charts/mean_t_compare_33050.dat" using 2 t "\\emph{\$\\text{WoT}_2\$}", "charts/mean_t_compare_25487.dat" using 2 t "\\emph{\$\\text{WoT}_1\$}"
#plot "charts/mean_t_compare_40480.dat" t "\\emph{\$\\text{WoT}_3\$}"  with yerror, "charts/mean_t_compare_33050.dat" t "\\emph{\$\\text{WoT}_2\$}" with yerror, "charts/mean_t_compare_25487.dat" t "\\emph{\$\\text{WoT}_1\$}" with yerror

set xrange [0.5:6.5]
set yrange [0:4]
set title "Confronto di $t_{pf}$ tra diverse WoT (\$1 \\leq l \\leq 6\$)"
set output "charts/mean_t_compare_scope.tex"
replot

